#include "mainwindow.h"
#include <QApplication>

#include "bsk_versign.h"

BSK_VERSIGN_STD_DEFINE("FpgaBeamBuild", BSK_VERSIGN_STR_VER3(1, 0, 0), "N/A", "FpgaBeamBuild", "GCC " __VERSION__);

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    QString appNameVer=
            QString("%1 (%2-%3)")
                .arg("FpgaBeamMeUpBuilder")
                .arg(versign_application_signature_.data.vstr)
                .arg(versign_application_ext_signature_.data.buildid);

    a.setApplicationDisplayName(appNameVer);

    MainWindow w;
    w.show();

    return a.exec();
}
